Bug 1464547 - OS_TENANT_NAME is replaced with OS_PROJECT_NAME in overcloudrc
OS_TENANT_NAME is replaced with OS_PROJECT_NAME in overcloudrc
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brad P. Crochet
Amit Ugol
:
Depends On:
Blocks: 1356451
  Show dependency treegraph
 
Reported: 2017-06-23 13:59 EDT by Chris Dearborn
Modified: 2017-06-29 14:07 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
The overcloudrc from OSP 10 forward will use the OS_PROJECT_NAME environment variable instead of OS_TENANT_NAME, which was deprecated in the upstream Kilo release. From a user perspective, this should have no impact. Existing scripts that relied on the OS_TENANT_NAME variable may be affected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-29 13:58:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Dearborn 2017-06-23 13:59:37 EDT
Description of problem:
Our scripting depended on OS_TENANT_NAME being in the overcloudrc, which is the case with the version of OSP10 on CDN.  In the RC puddle, OS_TENANT_NAME has been replaced with OS_PROJECT_NAME in the overcloudrc.

Version-Release number of selected component (if applicable):
http://download-node-02.eng.bos.redhat.com/rcm-guest/puddles/OpenStack/10.0-RHEL-7/2017-06-19.1/

How reproducible:
Do an overcloud deployment, then look in the overcloudrc.

Steps to Reproduce:
See above.

Actual results:
OS_TENANT_NAME is missing from the overcloudrc

Expected results:
OS_TENANT_NAME should be present in the rc?

Additional info:
Comment 1 Chris Dearborn 2017-06-23 14:10:27 EDT
It seems like if OS_TENANT_NAME has been deprecated, then it's ok to remove it from the overcloudrc.  If it hasn't yet been deprecated, then it seems like it should be in that file.

Just my 2 cents.
Comment 2 Brad P. Crochet 2017-06-27 14:46:39 EDT
OS_TENANT_NAME was deprecated in the Kilo release. OS_PROJECT_NAME is the preferred variable.

I am unclear how OSP10 would generate OS_TENANT_NAME but a puddle would generate something different.
Comment 3 Brad P. Crochet 2017-06-27 14:49:55 EDT
I see where it was introduced...

The overcloudrc generation code was moved to tripleo-common, but wasn't actually utilized from the client.

The move to use that was backported here: https://review.openstack.org/#/c/410272/

OS_PROJECT_NAME is the proper variable to use.
Comment 4 Chris Dearborn 2017-06-27 15:14:06 EDT
I understand, but all customers that have OSP10 installed have OS_TENANT_NAME in their overcloudrc, and not OS_PROJECT_NAME.  If this ships as-is, then as soon as they do a yum update, their CLIs will be instantly be broken, generating support calls.

As I mentioned before, I already patched our scripting so we are not affected by the change.  Just trying to help out here.
Comment 5 Brad P. Crochet 2017-06-27 15:44:14 EDT
How are the CLIs broken by the change? They are effectively the same thing (or at least should be).

Do you have some specific problems that you saw?
Comment 6 Chris Dearborn 2017-06-27 17:35:05 EDT
Ah - sorry, I'm getting issues confused.  As far as I'm aware, the only issue is that code that depends on OS_TENANT_NAME being present will no longer work.  This is what happened to us.
Comment 7 Brad P. Crochet 2017-06-29 13:58:20 EDT
As long as it doesn't actually break anything, we consider this an implementation detail and not a breaking change. Thanks for the report. I will add some doctext on this bug so it can at least be captured in release notes.

Note You need to log in before you can comment on or make changes to this bug.